using System.Collections.ObjectModel;
using Entidades;
using Modelo;

namespace Controladora
{
    public class ControladoraProductos : Singleton<ControladoraProductos>
    {
        public string Añadir(Producto t)
        {
            if (t == null) return "El Producto es nulo fallo la carga";

            return (RepositorioProductos.Instance.Add(t)) ? 
                $"El Producto {t.Nombre} se cargo correctamente":
                $"Fallo la carga del Producto {t.Nombre}"; 
        }

        public string Eliminar(Producto t)
        {
           if (t == null) return "El Producto es nulo fallo la carga";

            return (RepositorioProductos.Instance.Del(t)) ? 
                $"El Producto {t.Nombre} se Elimino correctamente":
                $"Fallo la Eliminacion del Producto {t.Nombre}";         
        }

        public string Modificar(Producto t)
        {
            if (t == null) return "El Producto es nulo fallo la carga";

            return (RepositorioProductos.Instance.Mod(t)) ? 
                $"El Producto {t.Nombre} se Modifico correctamente":
                $"Fallo la Modificacion del Producto {t.Nombre}";    
        }

        public ReadOnlyCollection<Producto> Listar()
        {
            return RepositorioProductos.Instance.Listar();
        }


    }
}